Bug 470717 - two different apps showing battery power status on kde
two different apps showing battery power status on kde
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-09 04:31 EST by Riku Seppala
Modified: 2008-11-11 14:11 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 14:10:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Riku Seppala 2008-11-09 04:31:14 EST
Fedora 10 preview. Two different applications starts automatically both showing battery power status.Guidance power manager and battery monitor. One should be enough, no?

Also, SCIM is started twice.
Comment 1 Rex Dieter 2008-11-09 08:12:31 EST
rpm -q qt kdebase-workspace please

Recent updates were supposed to fix these issues, is why I ask.

(and for posterity, one issue per bug please)
Comment 2 Riku Seppala 2008-11-09 13:10:40 EST
Yeah the SCIM issue is fixed now but I still see both guidance power manager and battery monitor.

qt-4.4.3-2.fc10.x86_64
kdebase-workspace-4.1.2-11.fc10.x86_64
Comment 3 Kevin Kofler 2008-11-09 13:14:56 EST
Than's fix for that is not (yet) tagged f10-final.
Comment 4 Rex Dieter 2008-11-10 11:57:36 EST
OK, should be fixed in kdebase-workspace-4.1.2-13 or newer.

Please try this build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=68754
Comment 5 Riku Seppala 2008-11-11 14:03:01 EST
hm, no. I downloaded the packages from koji, did yum localupdate,reboot and both guidance power manager and battery monitor are still there.

[root@localhost ~]# rpm -q qt kdebase-workspace
qt-4.4.3-2.fc10.x86_64
kdebase-workspace-4.1.2-14.fc10.x86_64

Am I missing something?
Comment 6 Rex Dieter 2008-11-11 14:09:51 EST
If you've modified your plasma config already, then the patched build won't retroactively "fix" it.  The fix only applies to new users (or users with no existing ~/.kde/share/config/plasma/appletsrc)
Comment 7 Rex Dieter 2008-11-11 14:10:47 EST
kdebase-workspace-4.1.2-14 tagged, closing.

To confirm fix, either create a new user (or logout, remove ~/.kde/share/config/plasma*), and login.
Comment 8 Kevin Kofler 2008-11-11 14:11:55 EST
And to quickly fix it for you, just remove the battery plasmoid manually.

Note You need to log in before you can comment on or make changes to this bug.